Draft: Circonferenza

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Draft Fillet.svg Raccordo Pagina precedente:
Pagina successiva: Arco Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cerchio

Posizione nel menu
Draft → Cerchio
Ambiente
Draft, Architettura
Avvio veloce
C I
Introdotto nella versione
-
Vedere anche
Arco, Ellisse


Descrizione

Crea un cerchio nel piano di lavoro. Si può definire il cerchio inserendo due punti, il centro, il raggio, oppure selezionando le tangenti, oppure con qualsiasi combinazione di questi elementi. Il cerchio assume il tipo di linea e il colore impostati in precedenza in Draft Tray

Questo strumento funziona allo stesso modo dello strumento Arco, tranne per il fatto che crea una circonferenza completa. Per disegnare un'ellisse usare Ellisse.

Draft Circle example.jpg

Cerchio definito da due punti


Utilizzo

  1. Premere il pulsante Draft Circle.png Cerchio, o premere i tasti C e I
  2. Selezionare un primo punto nella vista 3D per stabilire il centro, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto
  3. Selezionare un secondo punto nella vista 3D, o introdurre il valore del raggio.

Il cerchio può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il il centro e il raggio in una nuova posizione.

Il cerchio può essere trasformato in un arco dopo la creazione, impostando le proprietà del primo angolo e dell'ultimo angolo su valori diversi.

Opzioni

  • L'uso principale dello strumento cerchio è selezionando due punti, il centro e un punto sulla circonferenza.
    • Premendo Alt, si può selezionare una tangente invece di selezionare un punto. È quindi possibile costruire diversi tipi di cerchi selezionando una, due o tre tangenti.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Cerchio si riavvia dopo aver terminato il cerchio in costruzione, e consente di disegnare un nuovo cerchio senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, il cerchio crea una faccia piena (DATAMake Face True); in caso contrario, il cerchio non crea una faccia (DATAMake Face False).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Un oggetto Cerchio condivide tutte le proprietà di un Arco, ma alcune proprietà hanno senso solo per il cerchio.

Dati

  • DATAFirst Angle: specifica l'angolo iniziale del cerchio; normalmente 0°.
  • DATALast Angle: specifica l'angolo finale del cerchio; normalmente 0°.
  • DATARadius: specifica il raggio del cerchio.
  • DATAMake Face: specifica se il Cerchio crea una faccia o no. Se è True viene creata una faccia, altrimenti solo la circonferenza è considerata parte dell'oggetto. Questa proprietà funziona solo se la forma è una circonferenza completa.
Per essere un cerchio completo DATAFirst Angle e DATALast Angle devono avere lo stesso valore; altrimenti, viene visualizzato un Arco. I valori 0° e 360° non sono considerati uguali, quindi se si utilizzano questi due valori, il cerchio non forma una faccia.

Vista

  • VIEWPattern: specifica un tipo di Campitura con cui riempire la faccia del cerchio. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione della Campitura.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Cerchio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crea un oggetto Circle dal dato radius in millimetri.
    • radius può anche essere un Part.Edge, di cui l'attributo Curve deve essere un Part.Circle.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata all'origine.
  • Se face è True e il cerchio è chiuso, diventa una faccia e appare riempita.
  • Se startangle e endangle sono dati in gradi e hanno valori diversi, sono usati e l'oggetto appare come un Arco.

Esempio:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Draft Fillet.svg Raccordo Pagina precedente:
Pagina successiva: Arco Draft Arc.svg Arrow-right.svg